Bug 1574312 - [geo-rep]: Session stuck in history crawl
Summary: [geo-rep]: Session stuck in history crawl
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: ---
Assignee: Kotresh HR
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 04:55 UTC by Rochelle
Modified: 2018-11-28 07:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 06:24:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rochelle 2018-05-03 04:55:14 UTC
Description of problem:
=======================
While running the automated geo-replication cases (tarssh + fuse)
one of the workers was stuck in history crawl and cases failed since the sync was not happening as expected.


MASTER NODE     MASTER VOL    MASTER BRICK                    SLAVE USER    SLAVE                 SLAVE NODE      STATUS     CRAWL STATUS       LAST_SYNCED                  
------------------------------------------------------------------------------------------------------------------------------------------------------------------
10.70.41.160    master        /bricks/brick0/master_brick0    root          10.70.42.29::slave    10.70.42.58     Active     Changelog Crawl    2018-04-25 16:50:10          
10.70.41.160    master        /bricks/brick1/master_brick3    root          10.70.42.29::slave    10.70.42.58     Active     Changelog Crawl    2018-04-25 16:50:14          
10.70.41.160    master        /bricks/brick2/master_brick6    root          10.70.42.29::slave    10.70.42.58     Active     History Crawl      2018-04-24 23:17:20          
10.70.42.79     master        /bricks/brick0/master_brick1    root          10.70.42.29::slave    10.70.43.190    Passive    N/A                N/A                          
10.70.42.79     master        /bricks/brick1/master_brick4    root          10.70.42.29::slave    10.70.43.190    Passive    N/A                N/A                          
10.70.42.79     master        /bricks/brick2/master_brick7    root          10.70.42.29::slave    10.70.43.190    Passive    N/A                N/A                          
10.70.42.200    master        /bricks/brick0/master_brick2    root          10.70.42.29::slave    10.70.42.29     Passive    N/A                N/A                          
10.70.42.200    master        /bricks/brick1/master_brick5    root          10.70.42.29::slave    10.70.42.29     Passive    N/A                N/A                          
10.70.42.200    master        /bricks/brick2/master_brick8    root          10.70.42.29::slave    10.70.42.29     Passive    N/A                N/A       



Version-Release number of selected component (if applicable):
=============================================================
glusterfs-geo-replication-3.12.2-7.el7rhgs.x86_64

How reproducible:
=================
1/1


Actual results:
===============
One worker was stuck in history crawl and syncing was not successful. 


Expected results:
=================
The session should move past history crawl to changelog crawl and syncing should proceed as expected.


Note You need to log in before you can comment on or make changes to this bug.